gtkmm 2.4: Gtk::TreeNodeChildren Class Reference

Main Page Widgets Namespaces Book

# Gtk::TreeNodeChildren Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeNodeChildren:
[legend]
List of all members.

## Detailed Description

typedefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Public Types
typedef Gtk::TreeIter | const_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
typedef int | difference_type
typedef Gtk::TreeIter | iterator
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef unsigned int | size_type
typedef Gtk::TreeRow | value_type
## Public Member Functions
const_iterator | begin () const
iterator | begin ()
bool | empty () const
const_iterator | end () const
iterator | end ()
| operator bool () const
| Discover whether the iterator is valid, and not equal to end().
value_type | operator[] (size_type index) const
const_reverse_iterator | rbegin () const
reverse_iterator | rbegin ()
const_reverse_iterator | rend () const
reverse_iterator | rend ()
size_type | size () const

## Member Typedef Documentation

typedef Gtk::TreeIter Gtk::TreeNodeChildren::const_iterator

typedef std::reverse_iterator<const_iterator> Gtk::TreeNodeChildren::const_reverse_iterator

typedef int Gtk::TreeNodeChildren::difference_type

| Reimplemented from Gtk::TreeIter.

typedef Gtk::TreeIter Gtk::TreeNodeChildren::iterator

typedef std::reverse_iterator<iterator> Gtk::TreeNodeChildren::reverse_iterator

typedef unsigned int Gtk::TreeNodeChildren::size_type

typedef Gtk::TreeRow Gtk::TreeNodeChildren::value_type

| Reimplemented from Gtk::TreeIter.

## Member Function Documentation

const_iterator Gtk::TreeNodeChildren::begin | ( |  | ) | const

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

bool Gtk::TreeNodeChildren::empty | ( |  | ) | const

const_iterator Gtk::TreeNodeChildren::end | ( |  | ) | const

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

Gtk::TreeNodeChildren::operator bool | ( |  | ) | const`[inline]`

| Discover whether the iterator is valid, and not equal to end(). Reimplemented from Gtk::TreeIter.

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) | const

const_reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | const`[inline]`

reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | const`[inline]`

reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | `[inline]`

size_type Gtk::TreeNodeChildren::size | ( |  | ) | const

The documentation for this class was generated from the following file:

- treeiter.h